Subject: bug#29422: 27.0.50; Symbol enable-multibyte-characters may not be buffer-local

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Nov 2017 19:19:15 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Michael Heerdegen <[email-masked]>, [email-masked]
> Date: Sat, 25 Nov 2017 11:47:25 -0500
> 
> > Yes, but signaling "Setting constant" when we actually mean a
> > read-only symbol is sub-optimal, IMO.
> 
> That's the error that we've been using for (setq
> enable-multibyte-characters ...) since Emacs-21.

??? The code you changed signaled a "Symbol %s may not be
buffer-local" error, not "Setting constant".  What am I missing?

> > How about inventing a new error symbol for these cases?
> 
> I haven't found a situation where I needed to distinguish those two
> error cases yet, so I don't see any need for that, but if you feel like
> it, that's fine (tho better make that new error be a sub-error of
> `setting-constant` so as not to break existing code).

I meant for you to do that, as part of fixing this problem, but if you
don't feel like it, we should at least change the ELisp manual, as it
now contradicts the code.